<?php

namespace App\Dto\Output;

use ApiPlatform\Metadata\Get;
use App\Entity\HardwareProfile;
use Symfony\Component\Serializer\Annotation\Groups;

#[Get(shortName: 'HardwareProfile')]
final class HardwareProfileOutput extends AbstractOutput
{
    #[Groups(['hardware-profile:read'])]
    public ?string $description = '';

    #[Groups(['hardware-profile:read'])]
    public ?string $comments = '';

    #[Groups(['hardware-profile:read'])]
    public ?OrganizationalUnitOutput $organizationalUnit = null;

    #[Groups(['hardware-profile:read'])]
    public \DateTime $createAt;

    #[Groups(['hardware-profile:read'])]
    public ?string $createBy = null;

    public function __construct(HardwareProfile $hardwareProfile)
    {
        parent::__construct($hardwareProfile);

        $this->description = $hardwareProfile->getDescription();
        $this->comments = $hardwareProfile->getComments();
        if($hardwareProfile->getOrganizationalUnit()) {
            $this->organizationalUnit = new OrganizationalUnitOutput($hardwareProfile->getOrganizationalUnit());
        }
        $this->createAt = $hardwareProfile->getCreatedAt();
        $this->createBy = $hardwareProfile->getCreatedBy();
    }
}