<?php

namespace App\Model;

final class OrganizationalUnitTypes
{
    public const ORGANIZATIONAL_UNIT = 'ORGANIZATIONAL_UNIT';
    public const CLASSROOMS_GROUP = 'CLASSROOMS_GROUP';
    public const CLASSROOM = 'CLASSROOM';
    public const CLIENTS_GROUP = 'CLIENTS_GROUP';

    private const ORGANIZATIONAL_UNIT_TYPES = [
        self::ORGANIZATIONAL_UNIT => 'Unidad Organizativa',
        self::CLASSROOMS_GROUP => 'Grupo de aulas',
        self::CLASSROOM => 'Aula',
        self::CLIENTS_GROUP => 'Grupo de ordenadores',
    ];

    public static function getOrganizationalUnitTypes(): array
    {
        return self::ORGANIZATIONAL_UNIT_TYPES;
    }

    public static function getOrganizationalUnitType(string $organizationalUnit): ?string
    {
        return self::ORGANIZATIONAL_UNIT_TYPES[$organizationalUnit] ?? null;
    }

    public static function getOrganizationalUnitTypeKeys(): array
    {
        return array_keys(self::ORGANIZATIONAL_UNIT_TYPES);
    }
}