<?php

namespace App\Validator\Constraints;

use App\Model\OrganizationalUnitClassroomMulticastModes;
use App\Model\OrganizationalUnitClassroomP2pModes;
use App\Model\UserGroupPermissions;
use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

class OrganizationalUnitClassroomMulticastModeValidator extends ConstraintValidator
{
    public function validate($value, Constraint $constraint): void
    {
        if (null === $value) {
            return;
        }

        if (!in_array($value, OrganizationalUnitClassroomMulticastModes::getMcastModes())) {
            $this->context->buildViolation($constraint->message)->addViolation();
        }
    }
}